import 'package:json_annotation/json_annotation.dart';

part 'report_student_history_record.g.dart';


@JsonSerializable()
class ReportStudentHistoryRecord extends Object {

  @JsonKey(name: 'ExamId')
  int examId;

  @JsonKey(name: 'ExamName')
  String examName;

  @JsonKey(name: 'ExamStartTime')
  String examStartTime;

  @JsonKey(name: 'StudentExamNum')
  String studentExamNum;

  @JsonKey(name: 'ScoreInfo')
  List<ScoreInfo> scoreInfo;

  ReportStudentHistoryRecord(this.examId,this.examName,this.examStartTime,this.studentExamNum,this.scoreInfo,);

  factory ReportStudentHistoryRecord.fromJson(Map<String, dynamic> srcJson) => _$ReportStudentHistoryRecordFromJson(srcJson);

  Map<String, dynamic> toJson() => _$ReportStudentHistoryRecordToJson(this);

}


@JsonSerializable()
class ScoreInfo extends Object {

  @JsonKey(name: 'Value')
  double value;

  @JsonKey(name: 'Text')
  String text;

  ScoreInfo(this.value,this.text,);

  factory ScoreInfo.fromJson(Map<String, dynamic> srcJson) => _$ScoreInfoFromJson(srcJson);

  Map<String, dynamic> toJson() => _$ScoreInfoToJson(this);

}


